<?php

namespace App\Filament\Admin\Resources\SectionFourRights\Pages;

use App\Filament\Admin\Resources\SectionFourRights\SectionFourRightResource;
use Filament\Actions\CreateAction;
use Filament\Resources\Pages\ListRecords;

class ListSectionFourRights extends ListRecords
{
    protected static string $resource = SectionFourRightResource::class;

    protected function getHeaderActions(): array
    {
        /*return [
            CreateAction::make(),
        ];*/
        return static::getModel()::count() === 3? [] : [CreateAction::make(),];
    }
}
